
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless
public class EmployeeService implements EmployeeServiceLocal, EmployeeServiceRemote {
  @PersistenceContext(unitName="EmployeeService")
  EntityManager em;
  
  public EmployeeService() {
  }
  public void doAction(){

    Person p = new Person();
    p.setFirstName("P");
    p.setLastName("P");
    em.persist(p);

    Customer cust = new Customer();
    cust.setFirstName("C");
    cust.setLastName("C");
    cust.setStreet("Street");
    cust.setCity("City");
    cust.setState("State");
    cust.setZip("11111");
    em.persist(cust);

    Employee employee = new Employee();
    employee.setFirstName("E");
    employee.setLastName("E");
    employee.setStreet("1st Street");
    employee.setCity("E City");
    employee.setState("E State");
    employee.setZip("33333");
    employee.setEmployeeId(15);
    em.persist(employee);
    

    em.flush();
    System.out.println("saved");
    
  }
}

    